#
# spec file for package ghc-language-javascript
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name language-javascript
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.6.0.10
Release:        lp150.1.8
Summary:        Parser for JavaScript
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  alex
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  happy
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-utf8-light-devel
%endif

%description
Parses Javascript into an Abstract Syntax Tree (AST). Initially intended as
frontend to hjsmin.

Note: Version 0.5.0 breaks compatibility with prior versions, the AST has been
reworked to allow round trip processing of JavaScript.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jun 12 2017 psimons@suse.com
- Update to version 0.6.0.10.
* Mon Nov 14 2016 psimons@suse.com
- Update to version 0.6.0.9 with cabal2obs.
* Mon Jul 25 2016 psimons@suse.com
- Update to version 0.6.0.8 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.6.0.7 revision 0 with cabal2obs.
* Sat Jun 18 2016 mimi.vx@gmail.com
- update to 0.6.0.7
* Thu Jun 16 2016 mimi.vx@gmail.com
- update to 0.6.0.6
* Sun Jun  5 2016 mimi.vx@gmail.com
- update to 0.6.0.5
* Mon May  2 2016 mimi.vx@gmail.com
- update to 0.6.0.4
* Tue Mar 29 2016 mimi.vx@gmail.com
- update to 0.5.14.7
* Sat Mar 19 2016 mimi.vx@gmail.com
- update to 0.5.14.6
* Fri Mar 18 2016 mimi.vx@gmail.com
- update to 0.5.14.3
* Mon Feb 22 2016 psimons@suse.com
- initial version language-javascript-0.5.14.2
